uniform highp mat4 ortho; // transforms screen coordinates to [-1, 1]
uniform highp mat4 texortho; // transforms screen coordinates to [0, 1]

attribute highp vec2 position;

varying highp vec2 vartexcoord;

void main(void)
{
    gl_Position = ortho * vec4(position, 0.0, 1.0);
    vartexcoord = vec4(texortho * vec4(position, 0.0, 1.0)).xy;
}
