TEMPLATE = app

QT += qml quick
CONFIG += c++11 ofast

SOURCES += main.cpp \
    jpegdecoder.cpp \
    qvnc.cpp \
    uploader.cpp \
    dispatcher.cpp \
    vncrenderer.cpp

RESOURCES += qml.qrc

# Additional import path used to resolve QML modules in Qt Creator's code model
QML_IMPORT_PATH =

# Default rules for deployment.
include(deployment.pri)

LIBS += -L$$PWD/../libvnc/libvncclient/.libs/ -lvncclient -lEGL -ljpeg -L$$PWD/../build-texload-Desktop_Qt_5_9_0_GCC_64bit-Release -ltexload

INCLUDEPATH += $$PWD/../libvnc $$PWD/../texload
DEPENDPATH += $$PWD/../libvnc $$PWD/../texload

HEADERS += \
    vncrenderer.h \
    jpegdecoder.h \
    qvnc.h \
    uploader.h \
    dispatcher.h \
    concurrentqueue.h

DISTFILES += \
    copy_shader.vsh \
    copy_shader.fsh \
    fill_shader.vsh \
    fill_shader.fsh \
    bitmap_shader.vsh \
    bitmap_shader.fsh \
    ycbcr_shader.fsh

#QMAKE_CXXFLAGS_RELEASE -= -O2
